#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a,b,c,x[10],max;
    cin>>a>>b>>c;
    x[0]=a+b+c;
    x[1]=a+c+b;
    x[2]=b+a+c;
    x[3]=b+c+a;
    x[4]=c+a+b;
    x[5]=c+b+a;
    max=x[0];
    for(int i=1;i<=5;i++)
    {
        if(x[i]>max)
        {
            max=x[i];
        }
    }
    cout<<max;
}